Hi JP,

Python 2.6 is no longer supported (it's not supported by the python
community either). My recommendation for using the RDKit on Centos6 (really
on any system) would be to use anaconda python.

-greg



On Wed, Jul 19, 2017 at 10:00 PM, JP <j...@javaclass.co.uk> wrote:

>
> Dear all,
>
> A quick question - is python 2.6.6 still supported (this is the default
> python on my current Centos distrib)?
>
> I am trying to install THE RDKit 2017.03.3 on Centos 6.3 (for my sins) and
> everything works fine (just needed to install boost-serialization as well
> due to a weird linking error).  The problem is that the following tests
> fail:
>
>           6 - pyBV (Failed)
>          35 - pyDepictor (Failed)
>          49 - pyChemReactions (Failed)
>          65 - pyPartialCharges (Failed)
>          98 - pyGraphMolWrap (Failed)
>         107 - pyRanker (Failed)
>         111 - pythonTestDirML (Failed)
>         112 - pythonTestDirDataStructs (Failed)
>         113 - pythonTestDirDbase (Failed)
>         116 - pythonTestDirChem (Failed)
>
> On investigating further, this is due to the assertRaisesRegexp(...) and
> assertIn(...) calls. which were added to the UnitTest class in 2.7 ... so
> missing in mine.
>
> Thanks,
> JP
>
> ------------------------------------------------------------
> ------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Rdkit-discuss mailing list
> Rdkit-discuss@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/rdkit-discuss
>
>
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Rdkit-discuss mailing list
Rdkit-discuss@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/rdkit-discuss

Reply via email to